<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

    <targets>
        <target name="logToConsole" xsi:type="Console" />
        <target name="logToFile"
                xsi:type="File"
                fileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/POS/Plugin/DevicesService.log"
                layout="${longdate} | ${uppercase:${level}} | ${logger} | ${message}${exception:format=toString,Data}"
                archiveFileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/POS/Archive/Plugin/DevicesService_{#}.zip"
                archiveEvery="Day"
                archiveNumbering="Date"
                archiveDateFormat="yyyy-MM-dd"
                maxArchiveFiles="30"
                enableArchiveFileCompression="true"/>
    </targets>

    <rules>
        <logger name="*" minlevel="Info" writeTo="logToConsole" />
        <logger name="*" minlevel="Trace" writeTo="logToFile" />
    </rules>
</nlog>